## golang-gopkg-vmihailenco-msgpack.v2 2.4.7

=== Makefile ===
all:
	go test gopkg.in/vmihailenco/msgpack.v2 -cpu=1
	go test gopkg.in/vmihailenco/msgpack.v2 -cpu=2
	go test gopkg.in/vmihailenco/msgpack.v2 -short -race

## golang-gopkg-vmihailenco-msgpack.v2 2.3

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (2.3-1) unstable; urgency=low

  * Initial release. (Closes: #792641)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Thu, 26 Mar 2015 22:24:39 -0400

=== debian/control ===
Source: golang-gopkg-vmihailenco-msgpack.v2
Section: devel
Priority: extra
Homepage: https://github.com/vmihailenco/msgpack
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-ugorji-go-msgpack-dev,
               golang-github-ugorji-go-codec-dev,
               golang-check.v1-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git

Package: golang-gopkg-vmihailenco-msgpack.v2-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         golang-github-ugorji-go-msgpack-dev,
         golang-github-ugorji-go-codec-dev,
         golang-check.v1-dev
Built-Using: ${misc:Built-Using}
Description: Msgpack encoding for Golang
 MessagePack is an efficient binary serialization format. It lets you
 exchange data among multiple languages like JSON. But it's faster and
 smaller. Small integers are encoded into a single byte, and typical short
 strings require only one extra byte in addition to the strings themselves.

## golang-gopkg-vmihailenco-msgpack.v2 2.4.4

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (2.4.4-1) unstable; urgency=medium

  * New upstream version
    - fixes armhf FTBFS
  * Changed my email to @debian.org

 -- Alexandre Viau <aviau@debian.org>  Sun, 06 Dec 2015 12:11:41 -0500

## golang-gopkg-vmihailenco-msgpack.v2 2.4.5

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (2.4.5-1) unstable; urgency=medium

  * New upstream version

 -- Alexandre Viau <aviau@debian.org>  Thu, 17 Dec 2015 08:48:22 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Homepage: https://github.com/vmihailenco/msgpack
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
+Uploaders: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/vmihailenco/msgpack/tags .*/v?(\d\S*)\.tar\.gz

## golang-gopkg-vmihailenco-msgpack.v2 2.4.7

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (2.4.7-1) unstable; urgency=medium

  * New upstream version
  * Fixed filenamemangle in d/watch

 -- Alexandre Viau <aviau@debian.org>  Wed, 06 Jan 2016 13:51:50 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOPKG := gopkg.in/vmihailenco/msgpack.v2

%:
	dh $@ --buildsystem=golang --with=golang

## golang-gopkg-vmihailenco-msgpack.v2 2.5.6

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (2.5.6-1) unstable; urgency=medium

  * New upstream version

 -- Alexandre Viau <aviau@debian.org>  Sat, 25 Jun 2016 21:44:27 +0200

golang-gopkg-vmihailenco-msgpack.v2 (2.5.1-1) unstable; urgency=medium

  * New upstream version
  * Bump policy to 3.9.8
  * Updated vcs-git URL

 -- Alexandre Viau <aviau@debian.org>  Wed, 18 May 2016 11:52:48 -0400

golang-gopkg-vmihailenco-msgpack.v2 (2.4.11-1) unstable; urgency=medium

  * New upstream version
  * Make use of XS-Go-Import-Path
  * Bump standards version
  * Fixed vcs-field-uses-insecure-uri

 -- Alexandre Viau <aviau@debian.org>  Sun, 20 Mar 2016 10:49:26 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
                golang-github-ugorji-go-msgpack-dev,
                golang-github-ugorji-go-codec-dev,
                golang-check.v1-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
+XS-Go-Import-Path: gopkg.in/vmihailenco/msgpack.v2
 
 Package: golang-gopkg-vmihailenco-msgpack.v2-dev
 Architecture: all

## golang-gopkg-vmihailenco-msgpack.v2 2.6.0

=== Makefile ===
all:
	go test ./...
	go test ./... -short -race

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (2.6.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tim Potter <tpot@hpe.com>  Tue, 19 Jul 2016 09:12:28 +1000

golang-gopkg-vmihailenco-msgpack.v2 (2.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Fri, 01 Jul 2016 23:40:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Homepage: https://github.com/vmihailenco/msgpack
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>
+Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,

## golang-gopkg-vmihailenco-msgpack.v2 2.7.1

=== Makefile ===
all:
	go test ./...
	env GOOS=linux GOARCH=386 go test ./...
	go test ./... -short -race

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (2.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Thu, 21 Jul 2016 10:56:13 -0400

## golang-gopkg-vmihailenco-msgpack.v2 3.1.0

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (3.1.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: set XS-Go-Import-Path to
    github.com/vmihailenco/msgpack.
  * Create symlink at gopkg.in/vmihailenco/msgpack.v2.
  * Bump Standards-Version to 4.0.0.

 -- Alexandre Viau <aviau@debian.org>  Sun, 02 Jul 2017 02:32:37 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                golang-github-ugorji-go-msgpack-dev,
                golang-github-ugorji-go-codec-dev,
                golang-check.v1-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
-XS-Go-Import-Path: gopkg.in/vmihailenco/msgpack.v2
+XS-Go-Import-Path: github.com/vmihailenco/msgpack
 
 Package: golang-gopkg-vmihailenco-msgpack.v2-dev
 Architecture: all

## golang-gopkg-vmihailenco-msgpack.v2 3.1.1

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (3.1.1-4) unstable; urgency=medium

  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:07:09 -0500

golang-gopkg-vmihailenco-msgpack.v2 (3.1.1-3) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:08:31 -0500

golang-gopkg-vmihailenco-msgpack.v2 (3.1.1-2) unstable; urgency=medium

  * Move to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 17:08:38 -0500

golang-gopkg-vmihailenco-msgpack.v2 (3.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Testsuite: autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Thu, 03 Aug 2017 16:44:18 -0400

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
                golang-github-ugorji-go-codec-dev,
                golang-check.v1-dev
 Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-vmihailenco-msgpack.v2.git
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2
 XS-Go-Import-Path: github.com/vmihailenco/msgpack
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-gopkg-vmihailenco-msgpack.v2-dev
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-gopkg-vmihailenco-msgpack-$1\.tar\.gz/ \
  https://github.com/vmihailenco/msgpack/tags .*/v?(\d\S*)\.tar\.gz

## golang-gopkg-vmihailenco-msgpack.v2 3.3.3

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Added myself to Uploaders.
  * DH & compat to version 12.
  * Priority: optional; Standards-Version: 4.4.0.
  * Removed "Built-Using" field from -dev package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Sep 2019 00:59:49 +1000

golang-gopkg-vmihailenco-msgpack.v2 (3.1.1-5) unstable; urgency=medium

  * Team upload.
  * Removed myself from uploaders.

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Sep 2019 19:19:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: golang-gopkg-vmihailenco-msgpack.v2
 Section: devel
-Priority: extra
+Priority: optional
+Standards-Version: 4.4.0
 Homepage: https://github.com/vmihailenco/msgpack
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 9),
+Uploaders: Tim Potter <tpot@hpe.com>,
+           Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 12~),
                dh-golang,
                golang-go,
                golang-github-ugorji-go-msgpack-dev,
                golang-github-ugorji-go-codec-dev,
                golang-check.v1-dev
-Standards-Version: 4.0.0
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2
 XS-Go-Import-Path: github.com/vmihailenco/msgpack
@@ -22,7 +23,6 @@
          golang-github-ugorji-go-msgpack-dev,
          golang-github-ugorji-go-codec-dev,
          golang-check.v1-dev
-Built-Using: ${misc:Built-Using}
 Description: Msgpack encoding for Golang
  MessagePack is an efficient binary serialization format. It lets you
  exchange data among multiple languages like JSON. But it's faster and

## golang-gopkg-vmihailenco-msgpack.v2 4.2.2

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (4.2.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1
  * golang-go --> golang-any
  * (Build-)Depends += "golang-github-vmihailenco-tagparser-dev"

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 14:32:11 +1100

=== debian/control ===
Source: golang-gopkg-vmihailenco-msgpack.v2
Section: devel
Priority: optional
Standards-Version: 4.4.1
Homepage: https://github.com/vmihailenco/msgpack
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 12~),
               dh-golang,
               golang-any,
    golang-check.v1-dev,
    golang-github-ugorji-go-codec-dev,
    golang-github-ugorji-go-msgpack-dev,
    golang-github-vmihailenco-tagparser-dev,
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2
XS-Go-Import-Path: github.com/vmihailenco/msgpack
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-vmihailenco-msgpack.v2-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    golang-check.v1-dev,
    golang-github-ugorji-go-codec-dev,
    golang-github-ugorji-go-msgpack-dev,
    golang-github-vmihailenco-tagparser-dev,
Description: Msgpack encoding for Golang
 MessagePack is an efficient binary serialization format. It lets you
 exchange data among multiple languages like JSON. But it's faster and
 smaller. Small integers are encoded into a single byte, and typical short
 strings require only one extra byte in addition to the strings themselves.

## golang-gopkg-vmihailenco-msgpack.v2 4.3.1

=== Makefile ===
all:
	go test ./...
	go test ./... -short -race
	go test ./... -run=NONE -bench=. -benchmem
	env GOOS=linux GOARCH=386 go test ./...
	golangci-lint run

=== debian/changelog ===
golang-gopkg-vmihailenco-msgpack.v2 (4.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Shengjing Zhu ]
  * Remove unused packages from Depends
  * Update Section to golang
  * Update Standards-Version to 4.5.1 (no changes)
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Bump debhelper-compat to 13
  * Add Rules-Requires-Root
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 31 Jan 2021 04:28:18 +0800

golang-gopkg-vmihailenco-msgpack.v2 (4.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Dec 2019 16:29:13 +1100

=== debian/control ===
Source: golang-gopkg-vmihailenco-msgpack.v2
Section: golang
Priority: optional
Standards-Version: 4.5.1
Homepage: https://github.com/vmihailenco/msgpack
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-check.v1-dev,
               golang-github-vmihailenco-tagparser-dev,
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-vmihailenco-msgpack.v2
XS-Go-Import-Path: github.com/vmihailenco/msgpack
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-vmihailenco-msgpack.v2-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-vmihailenco-tagparser-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Msgpack encoding for Golang
 MessagePack is an efficient binary serialization format. It lets you
 exchange data among multiple languages like JSON. But it's faster and
 smaller. Small integers are encoded into a single byte, and typical short
 strings require only one extra byte in addition to the strings themselves.
